<?xml version="1.0" encoding="utf-8"?>
<android.support.percent.PercentRelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center"
    tools:context=".LoginActivity">

    <RelativeLayout
        android:id="@+id/container_ud"
        style="@style/login_background"
        android:orientation="vertical"
        app:layout_heightPercent="100%"
        app:layout_marginLeftPercent="20%"
        app:layout_marginRightPercent="10%"
        app:layout_widthPercent="70%">

        <TextView
            android:id="@+id/ud_txt_title"
            style="@style/login_title"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentTop="true"
            android:text="@string/string_ud_title" />

        <RelativeLayout
            style="@style/login_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_above="@+id/ud_btns_container"
            android:layout_below="@+id/ud_txt_title"
            android:orientation="vertical">

            <android.support.design.widget.TextInputLayout
                android:id="@+id/ud_edtxt_nick_name"
                style="@style/textinput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                >

                <EditText
                    style="@style/login_edit_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/string_ud_nick" />
            </android.support.design.widget.TextInputLayout>


            <android.support.design.widget.TextInputLayout
                android:id="@+id/ud_edtxt_first_name"
                style="@style/textinput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentLeft="true"
                android:layout_alignParentStart="true"
                android:layout_below="@+id/ud_edtxt_nick_name"
                android:layout_toLeftOf="@+id/separator">

                <EditText
                    style="@style/login_edit_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/string_ud_first_name" />
            </android.support.design.widget.TextInputLayout>

            <View
                android:id="@+id/separator"
                android:layout_width="8dp"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true" />

            <android.support.design.widget.TextInputLayout
                android:id="@+id/ud_edtxt_last_name"
                style="@style/textinput"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:layout_below="@+id/ud_edtxt_nick_name"
                android:layout_toRightOf="@+id/separator">

                <EditText
                    style="@style/login_edit_text"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/string_ud_last_name" />
            </android.support.design.widget.TextInputLayout>


        </RelativeLayout>


        <LinearLayout
            android:id="@+id/ud_btns_container"
            style="@style/login_container"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:orientation="horizontal"
            android:weightSum="2">

            <Button
                android:id="@+id/ud_btn_skip"
                style="@style/login_btn_left"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:onClick="onSkipClick"
                android:text="@string/string_ud_btn_skip" />

            <Button
                android:id="@+id/up_btn_add"
                style="@style/login_btn_right"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:onClick="onAddClick"
                android:text="@string/string_ud_btn_add" />


        </LinearLayout>


    </RelativeLayout>
</android.support.percent.PercentRelativeLayout>